Skip to main content
GET
List invoices

Authorizations

Authorization
string
header
required

API key authentication via Bearer token

Query Parameters

limit
number
default:10

Maximum number of items to return (1-100)

Required range: 1 <= x <= 100
Example:

10

offset
number | null
default:0

Number of items to skip

Required range: x >= 0
Example:

0

sortOrder
enum<string>
default:desc

Sort order by creation date

Available options:
asc,
desc
Example:

"desc"

status
enum<string>

Filter by invoice status

Available options:
draft,
open,
paid,
void,
uncollectible
Example:

"open"

customerId
string<uuid>

Filter by customer UUID

Example:

"123e4567-e89b-12d3-a456-426614174000"

dueAfter
string<date-time>

Include invoices due at or after this timestamp. When dueBefore is also supplied, dueAfter must be strictly earlier than dueBefore.

Example:

"2026-08-01T00:00:00.000Z"

dueBefore
string<date-time>

Include invoices due at or before this timestamp. When dueAfter is also supplied, dueAfter must be strictly earlier than dueBefore.

Example:

"2026-09-01T00:00:00.000Z"

Response

List of invoices with pagination metadata

data
object[]
required
meta
object
Last modified on August 30, 2026